<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/TemplateId.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.TemplateId</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class TemplateId

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TemplateId" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line131" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="TemplateId-inheritance" src="TemplateId-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TemplateId-inheritance_map" />
<map name="TemplateId-inheritance_map"><area alt="Scopes/Synopsis/ASG/DeclaredTypeId.html" href="DeclaredTypeId.html" shape="rect" coords="5, 156, 200, 180" />
<area alt="Scopes/Synopsis/ASG/NamedTypeId.html" href="NamedTypeId.html" shape="rect" coords="11, 81, 195, 105" />
<area alt="Scopes/Synopsis/ASG/TypeId.html" href="TypeId.html" shape="rect" coords="31, 6, 175, 30" />
</map>
 <div class="doc">Class for template-ids.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="TemplateId.html#__cmp__" >__cmp__</a></span>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TemplateId.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line139" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="parameters">parameters</a></div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line137" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">language</span>, <span class="variable">name</span>, <span class="variable">declaration</span>, <span class="variable">parameters</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TemplateId.__init__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line134" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="accept">accept</a>(<span class="variable">self</span>, <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TemplateId.accept" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line138" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__str__">__str__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TemplateId.__str__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line142" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from DeclaredTypeId">
<tr><td colspan="2" class="heading">Attributes Inherited from DeclaredTypeId</td></tr>
<tr><td class="inherited"><a href="DeclaredTypeId.html#declaration" title="attribute DeclaredTypeId.declaration">declaration</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from NamedTypeId">
<tr><td colspan="2" class="heading">Attributes Inherited from NamedTypeId</td></tr>
<tr><td class="inherited"><a href="NamedTypeId.html#name" title="attribute NamedTypeId.name">name</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from TypeId">
<tr><td colspan="2" class="heading">Attributes Inherited from TypeId</td></tr>
<tr><td class="inherited"><a href="TypeId.html#language" title="attribute TypeId.language">language</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Private Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__cmp__">__cmp__</a>(<span class="variable">self</span>, <span class="variable">other</span>)  </div> <div class="xref"><a href="../../../XRef/xref1.html#Synopsis.ASG.TemplateId.__cmp__" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line139" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">Comparison operator</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:51 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
